aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-01-31 20:36:09 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2008-01-31 20:36:09 +0000
commit16097eb7b57eacaf870da9273fc8a902693c5107 (patch)
treedbc2c5d3a0ba50eea29f2a618ee020b7a0be7447
parent45adf1b76c10fb6ec9b65e53c638eaf9505a0879 (diff)
downloadpaludis-16097eb7b57eacaf870da9273fc8a902693c5107.tar.gz
paludis-16097eb7b57eacaf870da9273fc8a902693c5107.tar.xz
Rename builtin_prepare -> builtin_killold. Add exheres-0 src_configure, src_prepare
-rw-r--r--paludis/repositories/e/eapis/0.conf2
-rw-r--r--paludis/repositories/e/eapis/exheres-0.conf4
-rw-r--r--paludis/repositories/e/eapis/paludis-1.conf2
-rw-r--r--paludis/repositories/e/ebuild/0/Makefile.am2
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_killold.bash (renamed from paludis/repositories/e/ebuild/0/builtin_prepare.bash)20
-rwxr-xr-xpaludis/repositories/e/ebuild/ebuild.bash4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/Makefile.am4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash (renamed from paludis/repositories/e/ebuild/exheres-0/builtin_prepare.bash)22
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_compile.bash1
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_configure.bash51
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_prepare.bash46
11 files changed, 128 insertions, 30 deletions
diff --git a/paludis/repositories/e/eapis/0.conf b/paludis/repositories/e/eapis/0.conf
index cb4fe52..47f117b 100644
--- a/paludis/repositories/e/eapis/0.conf
+++ b/paludis/repositories/e/eapis/0.conf
@@ -79,7 +79,7 @@ save_unmodifiable_variables = \
PALUDIS_PROFILE_DIRS PALUDIS_LOADSAVEENV_DIR PALUDIS_BRACKET_MERGED_VARIABLES
ebuild_install = \
- : prepare ; \
+ : killold ; \
userpriv sandbox : init saveenv ; \
: loadenv setup saveenv ; \
sandbox userpriv : loadenv unpack compile saveenv ; \
diff --git a/paludis/repositories/e/eapis/exheres-0.conf b/paludis/repositories/e/eapis/exheres-0.conf
index 79cbc7f..5ed14c9 100644
--- a/paludis/repositories/e/eapis/exheres-0.conf
+++ b/paludis/repositories/e/eapis/exheres-0.conf
@@ -83,10 +83,10 @@ save_unmodifiable_variables = \
PALUDIS_PROFILE_DIRS PALUDIS_LOADSAVEENV_DIR PALUDIS_BRACKET_MERGED_VARIABLES
ebuild_install = \
- : prepare ; \
+ : killold ; \
userpriv sandbox : init saveenv ; \
sandbox : loadenv setup saveenv ; \
- sandbox userpriv : loadenv unpack compile saveenv ; \
+ sandbox userpriv : loadenv unpack prepare configure compile saveenv ; \
sandbox userpriv checkphase checks=default checks=always : loadenv test saveenv ; \
sandbox : loadenv install saveenv ; \
sandbox : loadenv strip preinst saveenv ; \
diff --git a/paludis/repositories/e/eapis/paludis-1.conf b/paludis/repositories/e/eapis/paludis-1.conf
index 11131d6..8c6e852 100644
--- a/paludis/repositories/e/eapis/paludis-1.conf
+++ b/paludis/repositories/e/eapis/paludis-1.conf
@@ -84,7 +84,7 @@ save_unmodifiable_variables = \
PALUDIS_PROFILE_DIRS PALUDIS_LOADSAVEENV_DIR PALUDIS_BRACKET_MERGED_VARIABLES
ebuild_install = \
- : prepare ; \
+ : killold ; \
userpriv sandbox : init saveenv ; \
sandbox : loadenv setup saveenv ; \
sandbox userpriv : loadenv unpack compile saveenv ; \
diff --git a/paludis/repositories/e/ebuild/0/Makefile.am b/paludis/repositories/e/ebuild/0/Makefile.am
index 25b347a..813c1eb 100644
--- a/paludis/repositories/e/ebuild/0/Makefile.am
+++ b/paludis/repositories/e/ebuild/0/Makefile.am
@@ -9,7 +9,7 @@ libexecprog0_SCRIPTS = \
builtin_init.bash \
builtin_loadenv.bash \
builtin_metadata.bash \
- builtin_prepare.bash \
+ builtin_killold.bash \
builtin_saveenv.bash \
builtin_strip.bash \
builtin_tidyup.bash \
diff --git a/paludis/repositories/e/ebuild/0/builtin_prepare.bash b/paludis/repositories/e/ebuild/0/builtin_killold.bash
index dbcaa86..fc1967a 100644
--- a/paludis/repositories/e/ebuild/0/builtin_prepare.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_killold.bash
@@ -1,7 +1,7 @@
#!/bin/bash
# vim: set sw=4 sts=4 et :
-# Copyright (c) 2006, 2007 Ciaran McCreesh
+# Copyright (c) 2006, 2007, 2008 Ciaran McCreesh
#
# This file is part of the Paludis package manager. Paludis is free software;
# you can redistribute it and/or modify it under the terms of the GNU General
@@ -16,7 +16,7 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-builtin_prepare()
+builtin_killold()
{
export ROOT="${ROOT//+(\/)//}"
@@ -33,16 +33,16 @@ builtin_prepare()
fi
}
-ebuild_f_prepare()
+ebuild_f_killold()
{
- if hasq "prepare" ${RESTRICT} ; then
- ebuild_section "Skipping builtin_prepare (RESTRICT)"
- elif hasq "prepare" ${SKIP_FUNCTIONS} ; then
- ebuild_section "Skipping builtin_prepare (SKIP_FUNCTIONS)"
+ if hasq "killold" ${RESTRICT} ; then
+ ebuild_section "Skipping builtin_killold (RESTRICT)"
+ elif hasq "killold" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping builtin_killold (SKIP_FUNCTIONS)"
else
- ebuild_section "Starting builtin_prepare"
- builtin_prepare
- ebuild_section "Done builtin_prepare"
+ ebuild_section "Starting builtin_killold"
+ builtin_killold
+ ebuild_section "Done builtin_killold"
fi
}
diff --git a/paludis/repositories/e/ebuild/ebuild.bash b/paludis/repositories/e/ebuild/ebuild.bash
index d3f454f..c7af2cb 100755
--- a/paludis/repositories/e/ebuild/ebuild.bash
+++ b/paludis/repositories/e/ebuild/ebuild.bash
@@ -407,12 +407,12 @@ ebuild_main()
for action in $@ ; do
case ${action} in
- metadata|variable|init|prepare|merge|unmerge|tidyup|\
+ metadata|variable|init|killold|merge|unmerge|tidyup|\
strip|loadenv|saveenv|initbin|unpackbin|infovars|pivotbin|installbin)
ebuild_load_module builtin_${action}
;;
- unpack|compile|install|test)
+ unpack|prepare|configure|compile|install|test)
ebuild_load_module src_${action}
;;
diff --git a/paludis/repositories/e/ebuild/exheres-0/Makefile.am b/paludis/repositories/e/ebuild/exheres-0/Makefile.am
index fcc15c3..e917114 100644
--- a/paludis/repositories/e/ebuild/exheres-0/Makefile.am
+++ b/paludis/repositories/e/ebuild/exheres-0/Makefile.am
@@ -9,7 +9,7 @@ libexecprogexheres_SCRIPTS = \
builtin_init.bash \
builtin_loadenv.bash \
builtin_metadata.bash \
- builtin_prepare.bash \
+ builtin_killold.bash \
builtin_saveenv.bash \
builtin_strip.bash \
builtin_tidyup.bash \
@@ -31,8 +31,10 @@ libexecprogexheres_SCRIPTS = \
pkg_setup.bash \
portage_stubs.bash \
src_compile.bash \
+ src_configure.bash \
src_install.bash \
src_test.bash \
+ src_prepare.bash \
src_unpack.bash
TESTS_ENVIRONMENT = env \
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_prepare.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index 841f5a5..b8493f4 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_prepare.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -16,7 +16,7 @@
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
-builtin_prepare()
+builtin_killold()
{
export ROOT="${ROOT//+(\/)//}"
@@ -33,21 +33,21 @@ builtin_prepare()
fi
}
-exheres_internal_prepare()
+exheres_internal_killold()
{
- if hasq "prepare" ${RESTRICT} ; then
- ebuild_section "Skipping builtin_prepare (RESTRICT)"
- elif hasq "prepare" ${SKIP_FUNCTIONS} ; then
- ebuild_section "Skipping builtin_prepare (SKIP_FUNCTIONS)"
+ if hasq "killold" ${RESTRICT} ; then
+ ebuild_section "Skipping builtin_killold (RESTRICT)"
+ elif hasq "killold" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping builtin_killold (SKIP_FUNCTIONS)"
else
- ebuild_section "Starting builtin_prepare"
- builtin_prepare
- ebuild_section "Done builtin_prepare"
+ ebuild_section "Starting builtin_killold"
+ builtin_killold
+ ebuild_section "Done builtin_killold"
fi
}
-ebuild_f_prepare()
+ebuild_f_killold()
{
- exheres_internal_prepare ""
+ exheres_internal_killold ""
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
index aaff3ed..8a03db5 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
@@ -22,7 +22,6 @@
default_src_compile()
{
- [[ -x ./configure ]] && econf
if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
emake || die "emake failed"
fi
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_configure.bash b/paludis/repositories/e/ebuild/exheres-0/src_configure.bash
new file mode 100644
index 0000000..198f488
--- /dev/null
+++ b/paludis/repositories/e/ebuild/exheres-0/src_configure.bash
@@ -0,0 +1,51 @@
+#!/bin/bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006, 2007, 2008 Ciaran McCreesh
+#
+# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
+# Gentoo Foundation and distributed under the terms of the GNU General
+# Public License v2.
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+default_src_configure()
+{
+ [[ -x ./configure ]] && econf
+}
+
+src_configure()
+{
+ default "$@"
+}
+
+exheres_internal_configure()
+{
+ if [[ -d "${S}" ]] ; then
+ cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
+ fi
+
+ if hasq "configure" ${RESTRICT} ; then
+ ebuild_section "Skipping src_configure (RESTRICT)"
+ elif hasq "configure" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping src_configure (SKIP_FUNCTIONS)"
+ else
+ ebuild_section "Starting src_configure"
+ src_configure
+ ebuild_section "Done src_configure"
+ fi
+}
+
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
new file mode 100644
index 0000000..c1e239e
--- /dev/null
+++ b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
@@ -0,0 +1,46 @@
+#!/bin/bash
+# vim: set sw=4 sts=4 et :
+
+# Copyright (c) 2006, 2007, 2008 Ciaran McCreesh
+#
+# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
+# Gentoo Foundation and distributed under the terms of the GNU General
+# Public License v2.
+#
+# This file is part of the Paludis package manager. Paludis is free software;
+# you can redistribute it and/or modify it under the terms of the GNU General
+# Public License, version 2, as published by the Free Software Foundation.
+#
+# Paludis is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place, Suite 330, Boston, MA 02111-1307 USA
+
+default_src_prepare()
+{
+ :
+}
+
+src_prepare()
+{
+ default "$@"
+}
+
+exheres_internal_prepare()
+{
+ cd ${WORKDIR} || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
+
+ if hasq "prepare" ${RESTRICT} ; then
+ ebuild_section "Skipping src_prepare (RESTRICT)"
+ elif hasq "prepare" ${SKIP_FUNCTIONS} ; then
+ ebuild_section "Skipping src_prepare (SKIP_FUNCTIONS)"
+ else
+ ebuild_section "Starting src_prepare"
+ src_prepare
+ ebuild_section "Done src_prepare"
+ fi
+}